--TEST--
Check for easter dates
--SKIPIF--
<?php if (!extension_loaded("date_time")) print "skip"; ?>
--POST--
--GET--
--INI--
--FILE--
<?php

function _compare($d,$arDate)
{
	if (date_get_day($d)!=$arDate[0]) {
		return false;
	}
	if (date_get_month($d)!=$arDate[1]) {
		return false;
	}
	if (date_get_year($d)!=$arDate[2]) {
		return false;
	}
	return true;
}

if (!function_exists('date_new')) {
    echo "Cannot load date extension.
	Aborted.";
	exit();
}
$failed_test_data   = false;
$_tempeaster  = file(dirname(__FILE__) . '/easterdatetest.txt');
$cnt    = sizeof($_tempeaster);
for( $i=0;$i<$cnt;$i++ ){
    $parts      = explode('/',$_tempeaster[$i]);
    $easters[$parts[0]] = array(
						str_replace("\n",'',$parts[2]),
						$parts[1],
						$parts[0]
						);
}
unset($_tempeaster);

foreach($easters as $year=>$easter){
    $year       = $easter[2];
    $month      = $easter[1];
    $day        = $easter[0];
	$d = date_get_easter($year);
    if (!_compare($d, $easter)) {
        echo implode('/',$easter)." failed.\n";
    }
}
echo "Done.\n";

?>
--EXPECT--
Done.
