--TEST--
Check dates validation
--SKIPIF--
<?php if (!extension_loaded("date_time")) print "skip"; ?>
--POST--
--GET--
--INI--
--FILE--
<?php
if (!function_exists('date_new')) {
	echo "date extension not available.\n";
}

$dates = array(
	array(array(1,2,20),true),
	array(array(-1,2,20),false),
	array(array(0,2,1930),false),
	array(array(12,0,20),false),
	array(array(12,-12,1899),false),
	array(array(31,2,2000),false),
	array(array(29,2,2003),false),
	array(array(29,2,2500),false),
	array(array(29,2,2000),true),
	array(array(49,22,0),false),
	array(array(30,3,1849),true),
	array(array(23,10,-20),false),
	array(array(23,22,2300),false),
	array(array(22,2,1970),true)
);

$d = date_new();
foreach ($dates as $date) {
	$d = $date[0];
	$v = $date[1];
	if (date_valid_dmy($d[0],$d[1],$d[2])!=$v) {
		echo implode('/',$d)." Failed.\n";
	}
}
echo "Done.\n";
?>
--EXPECT--
Done.
