--TEST--
Check for week numbers
--SKIPIF--
<?php if (!extension_loaded("date_time")) print "skip"; ?>
--POST--
--GET--
--INI--
--FILE--
<?php
if (!function_exists('date_new')) {
    echo "Cannot load date extension.
	Aborted.";
	exit();
}
$failed_test_data   = false;
$wkno   = file(dirname(__FILE__) . '/wknotest.txt');
$cnt    = sizeof($wkno);
for( $i=0;$i<$cnt;$i++ ){
    $parts      = explode(':',$wkno[$i]);
    $weeksno[$parts[0]] = str_replace("\n",'',$parts[1]);
}
unset($wkno);

foreach($weeksno as $date=>$iso){
    $year       = substr($date,0,4);
    $month      = substr($date,4,2);
    $day        = substr($date,6);
    $parts  = explode('-',$iso);
    $iso = intval($parts[1]);
    $d = date_new_dmy($day,$month,$year);
    $iso9601_2 = date_get_isoweek_of_year($d);
    if ($iso!=$iso9601_2) {
        echo $date . '(' . $iso . ') =>' . $year.'-'.$month.'-'.$day .'=>' . $iso9601_2 . " : failed\n";
    }
}
echo "Done.\n";

?>
--EXPECT--
Done.
