--TEST--
Check weekday
--SKIPIF--
<?php if (!extension_loaded("date_time")) print "skip"; ?>
--POST--
--GET--
--INI--
--FILE--
<?php
if (!function_exists('date_new')) {
	echo "date extension not available.\n";
}

$dates = array(
	array(array(3,1,1964),5),
	array(array(13,11,1995),1),
	array(array(14,11,1995),2),
	array(array(15,11,1995),3),
	array(array(16,11,1995),4),
	array(array(17,11,1995),5),
	array(array(18,11,1995),6),
	array(array(19,11,1995),7),
	array(array(20,11,1995),1),
	array(array(28,2,1995),2),
	array(array(29,2,1995),0)
);

$d = date_new();
foreach ($dates as $date) {
	$t = $date[0];
	$v = $date[1];
	@date_set_dmy($d,$t[0],$t[1],$t[2]);
	if (date_get_weekday($d)!=$v) {
		echo implode('/',$t)." Failed.\n";
	}
}
echo "Done.\n";
?>
--EXPECT--
29/2/1995 Failed.
Done.
