--TEST--
OO - Check for isoweek special dates
--SKIPIF--
<?php if (!extension_loaded("date_time")) print "skip"; ?>
--POST--
--GET--
--INI--
--FILE--
<?php
if (!function_exists('date_new')) {
    echo "Cannot load date extension.
	Aborted.";
	exit();
}
$d = new Date();

$failed_test_19788  = false;
$d->setDMY(5,1,1998);
$w1 = $d->getIsoWeekOfYear();
$d->setDMY(6,1,1998);
$w2 = $d->getIsoWeekOfYear();
$d->setDMY(5,1,2004);
$w3 = $d->getIsoWeekOfYear();
$d->setDMY(6,1,2004);
$w4 = $d->getIsoWeekOfYear();

$pass1 = 2==$w1;
$pass2 = 2==$w2;
$pass3 = 2==$w3;
$pass4 = 2==$w4;

if( !($pass1 && $pass2 && $pass3 && $pass4) ){
    $failed_test_19788   = true;
    echo "Test Bug 19788 failed.\n";
}
echo "Done.\n";
$d = null;
?>
--EXPECT--
Done.
